Subject: RE: bug#6689: 24.0.50; No primary selection

From: "Drew Adams" <[email-masked]>
Date: Sat, 14 Aug 2010 11:17:54 -0700

> Let's define "part of this bug" as any abnormal effects of clicking
> mouse-2 when a selection exists either in the current session of Emacs
> or in another application (via the clipboard).  The "normal effect" is
> having the selected text pasted at mouse click location.
> 
> Please note that the way I fixed the bug is that the text from the
> clipboard should be pasted in preference to the text selected in the
> current session.  This particular behavior was my decision, so if it
> somehow interferes with your expectations, please also reopen this
> bug.

Hm.  I still want the ability to select text with the mouse and yank it into the
same or another Emacs session (even another session of another Emacs release -
in either direction).

I also think that should be the default behavior.  That is, I think the default
behavior (on Windows) should not be changed from previous releases.

Dunno if what you described is something different from this.  And mine is
obviously just one opinion.

Whatever the final decision regarding default behavior, I definitely want the
ability to customize Emacs to get back the same behavior as before, including
selecting and yanking between Emacs sessions of any release.

> The issue that I left open is indeed what, if anything, should happen
> with the clipboard when the user selects text in Emacs without killing
> it.  I think this should be decided only _after_ a similar decision is
> made regarding Emacs on X.  Right now, the behavior on X in this
> regard is messy, to say the least, and it's not clear at all what we
> want, let alone how to get there.

My own preference for Windows is that the same default behavior as previously is
kept.  Dunno whether that implies killing mouse-selected text or not.  It does
mean being able to yank the selected text (yank in any way, in particular using
either mouse-2 or C-y).  We have long been able to do that by default.

> Since mouse-drag-copy-region was changed to default to nil, Emacs on
> Windows should not currently set the clipboard when text is just
> selected, but not killed.  Whether this is correct behavior depends on
> what we decide for X and what other Windows users say.